export default {
    data: function() {
        return {
            id: '',
            name: '',
            description: '',
            errorMessage: '',
            errorColor: ERROR_COLOR
        }
    },
    methods: {
        addTeam: function() {
            this.errorMessage = '';
            if (!this.id ){
                this.errorMessage = 'ID is required !';
                return;
            }else if (!this.name){
                this.errorMessage = 'Name is required !';
                return
            }else if(!this.description) {
                this.errorMessage = 'Description is required !';
                return;
            }

            const team = { id: this.id, name: this.name, description: this.description};
            console.log('form.addTeam', team);

            this.$emit('addTeam', team);

            this.id = '';
            this.name = '';
            this.description = '';
        }
    },
    template: `<section>
                <h2>News form</h2>
                <form @submit.prevent>
                    <div v-bind:style="{ color: errorColor}">{{ errorMessage }}</div>
                    <div>
                        <label>ID</label><br/>
                        <input type="text" v-model="id"/>
                    </div>
                    <div>
                        <label>Name</label><br/>
                        <input type="text" v-model="name"/>
                    </div>
                    <div>
                        <label>Description</label><br/>
                        <textarea v-model="description"></textarea>
                    </div>
                    <input type="submit" value="Create Team" @click="addTeam"/>
                </form>
            </section>`
}